// SPDX-FileCopyrightText: 2025 Joshua Goins <josh@redstrate.com>
// SPDX-License-Identifier: LGPL-2.0-or-later

#pragma once

#include <KTextEditor/ConfigPage>

class Ui_config;
class SitePreviewPlugin;

class SitePreviewConfigPage : public KTextEditor::ConfigPage
{
    Q_OBJECT
public:
    explicit SitePreviewConfigPage(SitePreviewPlugin *plugin, QWidget *parent = nullptr);

    [[nodiscard]] QString name() const override;
    [[nodiscard]] QString fullName() const override;
    [[nodiscard]] QIcon icon() const override;

public Q_SLOTS:
    void apply() override;
    void reset() override;
    void defaults() override;
    void slotMyChanged();

private:
    Ui_config *m_config = nullptr;
    SitePreviewPlugin *m_plugin = nullptr;
    bool m_changed = false;
};
